org.apache.tools.ant.util

## Class LinkedHashtable

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable
    - - org.apache.tools.ant.util.LinkedHashtable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class LinkedHashtable
    extends java.util.Hashtable

Subclass of Hashtable that wraps a LinkedHashMap to provide predictable iteration order.

This is not a general purpose class but has been written because the protected members of `Copy` prohibited later revisions from using a more predictable collection.

Methods are synchronized to keep Hashtable's contract.

Since:
  Ant 1.8.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LinkedHashtable()`
`LinkedHashtable(int initialCapacity)`
`LinkedHashtable(int initialCapacity, float loadFactor)`
`LinkedHashtable(java.util.Map m)`

### Method Summary

Methods
`void` `clear()`
`boolean` `contains(java.lang.Object value)`
`boolean` `containsKey(java.lang.Object value)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Enumeration` `elements()`
`java.util.Set` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(java.lang.Object k)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Enumeration` `keys()`
`java.util.Set` `keySet()`
`java.lang.Object` `put(java.lang.Object k, java.lang.Object v)`
`void` `putAll(java.util.Map m)`
`java.lang.Object` `remove(java.lang.Object k)`
`int` `size()`
`java.lang.String` `toString()`
`java.util.Collection` `values()`

### Methods inherited from class java.util.Hashtable

`clone, rehash`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LinkedHashtable

    public LinkedHashtable()

#### LinkedHashtable

    public LinkedHashtable(int initialCapacity)

#### LinkedHashtable

    public LinkedHashtable(int initialCapacity,
                   float loadFactor)

#### LinkedHashtable

    public LinkedHashtable(java.util.Map m)

### Method Detail

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map`
Overrides:
  `clear` in class `java.util.Hashtable`

#### contains

    public boolean contains(java.lang.Object value)

Overrides:
  `contains` in class `java.util.Hashtable`

#### containsKey

    public boolean containsKey(java.lang.Object value)

Specified by:
  `containsKey` in interface `java.util.Map`
Overrides:
  `containsKey` in class `java.util.Hashtable`

#### containsValue

    public boolean containsValue(java.lang.Object value)

Specified by:
  `containsValue` in interface `java.util.Map`
Overrides:
  `containsValue` in class `java.util.Hashtable`

#### elements

    public java.util.Enumeration elements()

Overrides:
  `elements` in class `java.util.Hashtable`

#### entrySet

    public java.util.Set entrySet()

Specified by:
  `entrySet` in interface `java.util.Map`
Overrides:
  `entrySet` in class `java.util.Hashtable`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Map`
Overrides:
  `equals` in class `java.util.Hashtable`

#### get

    public java.lang.Object get(java.lang.Object k)

Specified by:
  `get` in interface `java.util.Map`
Overrides:
  `get` in class `java.util.Hashtable`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Map`
Overrides:
  `hashCode` in class `java.util.Hashtable`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map`
Overrides:
  `isEmpty` in class `java.util.Hashtable`

#### keys

    public java.util.Enumeration keys()

Overrides:
  `keys` in class `java.util.Hashtable`

#### keySet

    public java.util.Set keySet()

Specified by:
  `keySet` in interface `java.util.Map`
Overrides:
  `keySet` in class `java.util.Hashtable`

#### put

    public java.lang.Object put(java.lang.Object k,
                       java.lang.Object v)

Specified by:
  `put` in interface `java.util.Map`
Overrides:
  `put` in class `java.util.Hashtable`

#### putAll

    public void putAll(java.util.Map m)

Specified by:
  `putAll` in interface `java.util.Map`
Overrides:
  `putAll` in class `java.util.Hashtable`

#### remove

    public java.lang.Object remove(java.lang.Object k)

Specified by:
  `remove` in interface `java.util.Map`
Overrides:
  `remove` in class `java.util.Hashtable`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map`
Overrides:
  `size` in class `java.util.Hashtable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.util.Hashtable`

#### values

    public java.util.Collection values()

Specified by:
  `values` in interface `java.util.Map`
Overrides:
  `values` in class `java.util.Hashtable`